uploadPlayerPreview
POST
/api/v1/player/preview
const url = 'https://example.com/api/v1/player/preview';const form = new FormData();form.append('image', 'file');form.append('playerVersion', 'example');form.append('failureStatus', 'example');form.append('capturedAt', '2026-04-15T12:00:00Z');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/player/preview \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form image=@file \ --form playerVersion=example \ --form failureStatus=example \ --form capturedAt=2026-04-15T12:00:00ZUpload a screen preview frame as multipart form data with the JPEG image part (at most 500 KB) and optional playerVersion, failureStatus, and RFC 3339 capturedAt fields. Requires an authenticated player credential.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typemultipart/form-data
object
image
string format: binary
playerVersion
string
failureStatus
string
capturedAt
string format: date-time
Responses
Section titled “ Responses ”Preview frame accepted
Preview image unreadable or malformed
Credential invalid or revoked
Preview image exceeded 500 KB
Preview timestamp or frame invalid